Subject: bug#53885: 28.0.51 [PATCH] Autoload package-installed-p

From: Eli Zaretskii <[email-masked]>
Date: Thu, 10 Feb 2022 14:04:13 +0200

> From: Lars Ingebrigtsen <[email-masked]>
> Cc: Eli Zaretskii <[email-masked]>,  [email-masked]
> Date: Thu, 10 Feb 2022 09:41:40 +0100
> 
> Oh, I see -- this has nothing to do with use-package, and you could have
> used some other package manager.  You just want to be able to check
> whether a package is installed in .emacs (without saying `require
> 'package') which seems reasonable to me.
> 
> However, this comes firmly under "new functionality" and not "bug fix",
> so I'm not sure we should put it in emacs-28 at this point, no matter
> how innocuous it looks like.  But if Eli thinks otherwise, I won't
> object.

Those were my thoughts as well, so we agree here.